//Testing esceptions syntax
int fred() {
    int x;
    throw 3;
    throw x = 5;

    try {
    } catch( int i ) {}

    try {
	x/4;
    } catch( int ) {
    } catch( int x ) {
    } catch( struct { int i; } ) {
    } catch( struct { int i; } x ) {
    } catch( struct { int i; } *x ) {

// Cforall extensions

    } catch( * struct { int i; } ) {
    } catch( * struct { int i; } x ) {
    } catch( ... ) {
//    } finally {
    } // try
}

//Dummy main
int main(int argc, char const *argv[])
{
	return 0;
}
